eCos Reference Manual
Prev |  | Next

# fis lock

## Name

fis lock -- Lock flash area

## Synopsis

fis lock {-f `flash_address`} {-l `length`}

## Arguments

Name | Type | Description | Default
--- | --- | --- | ---
`flash_address` | Number | Address of area to be locked. |
`length` | Number | Length of area to be locked. |

## Description

This command is used to write-protect (lock) a portion of flash memory, to prevent accidental overwriting of images. In order to make make any modifications to the flash, a matching fis unlock command must be issued. This command is optional and will only be provided on hardware which can support write-protection of the flash space.

> Note: Depending on the system, attempting to write to write-protected flash may generate errors or warnings, or be benignly quiet.

## Examples

Lock an area of the flash

    RedBoot> fis lock -f 0xa0040000 -l 0x20000
    ... Lock from 0xa0040000-0xa0060000: .

Prev | Home | Next
fis delete | Up | fis unlock